Create inbound payment intent
Create an inbound payment intent (invoice)
Required Scopes:
payment_intent.inbound:write
- Type: string
addenda min length:1max length:80requiredPayment intent description, which will also be used as the addenda on any payments made on the payment intent.
- Type: object · CreateOrUpdateContactRequest
contact requiredA dictionary containing information about the customer to which the payment intent belongs to. If provided, the name/uid will be used to match an existing customer and update it with the data provided. If a match does not exist, a new customer will be created.
- Type: string
total Pattern: ^-?\d{0,12}(?:\.\d{0,2})?$Format: decimalrequiredThe total amount due for the payment intent. Must be greater or equal to 1.00.
- Type: string | nullFormat: date
due _date The due date for payment of payment intent. Must be a string with format YYYY-MM-DD representing a date in the future.
- Type: string
memo max length:500A private memo for internal use.
- Type: string
note max length:500A note to the payee/customer.
- Type: boolean
send _email If true, the customer will receive an email notification letting them know the payment intent is available to pay with a payment portal link.
- Type: boolean
send _sms If true, the customer will receive a sms notification letting them know the payment intent is available to pay with a payment portal link.
- application/json
- application/json
curl https://api.foundation.dev.trusspayments.com/v1/payment-intents/inbound/ \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"total": "",
"addenda": "",
"note": "",
"memo": "",
"due_date": null,
"send_email": true,
"send_sms": true,
"contact": {
"uid": "",
"name": "",
"email": "",
"secondary_email": null,
"phone": null
}
}'
{
"uid": "123e4567-e89b-12d3-a456-426614174000",
"total": "string",
"addenda": "string",
"direction": 0,
"note": null,
"memo": null,
"due_date": null,
"contact": {
"uid": "123e4567-e89b-12d3-a456-426614174000",
"name": "string",
"email": null,
"secondary_email": null,
"phone": null
},
"status": "string",
"balance_paid": "string",
"created_at": "2026-04-08T21:22:32.421Z",
"pending_at": null,
"paid_at": null,
"canceled_at": null,
"transactions": [
{
"uid": "123e4567-e89b-12d3-a456-426614174000",
"amount": "string",
"addenda": null,
"type": "transaction",
"payment_method": "ach",
"date": "2026-04-08T21:22:32.421Z",
"preprocessed_at": "2026-04-08T21:22:32.421Z",
"processed_at": "2026-04-08T21:22:32.421Z",
"posted_at": "2026-04-08T21:22:32.421Z",
"settled_at": "2026-04-08T21:22:32.421Z",
"returned_at": "2026-04-08T21:22:32.421Z",
"status": "ReturnedTransaction",
"direction": 0
}
]
}
